Skip to main content
`Ctrl`+`K`

# PetscHSetIJHas

Query for an entry in the hash set

## Synopsis

    #include <petsc/private/hashsetij.h>
    PetscErrorCode PetscHSetIJHas(PetscHSetIJ ht, struct {PetscInt i, j;} key, PetscBool *has)

## Input Parameters

- ht - The hash set

- key - The entry

## Output Parameter

- has - Boolean indicating whether the entry is in the hash set

## See Also

`PetscHSetIJAdd()`, `PetscHSetIJDel()`, `PetscHSetIJQueryAdd()`

## Level

developer

## Location

include/petsc/private/hashset.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages